본문으로 건너뛰기
Sursa Developers

객체

AnswerResponse

어시스턴트의 답변(POST /v1/ask, 스트리밍 없는 POST /v1/chat, 스트림의 done 이벤트). 형태는 여러 가지예요: 일반 답변, “문서 없음”(empty: no_hits, provenance 없음), 제한된 주제에 대한 답변 거부(restricted 필드가 있는 empty: restricted), 가드레일에 따른 답변 거부(guardrail 필드가 있는 empty: guardrail, 텍스트는 조직의 표준 거부 메시지). 캐시된 답변에는 cached: true 값과 cache_hit 값(정확히 같은 질문의 반복 또는 유사한 질문에 대한 답변)이 있어요. 검증된 카드에만 근거한 답변(VERIFIED_ONLY)에는 verified_only: true 값이 있어요.

필드

  • answerstring필수
  • question_idinteger필수
  • querystring
  • collectionstring필수
  • sourcesarray of Source필수
  • table_queriesarray of TableQuery필수
  • datasetsarray of Dataset필수
  • chartsarray of ChartSpec필수
  • warningsarray of AnswerWarning필수
  • timingsTimings필수
  • provenancearray of NumberProvenance
  • emptystring

    허용 값: no_hitsrestrictedguardrailno_data_for_period

  • verificationAnswerVerification
  • alt_periodsarray of AnswerAltPeriod

    items ≤ 6

  • drilldownarray of AnswerDrilldown

    items ≤ 20

  • restrictedRestrictedInfo
  • verified_onlyboolean
  • cachedboolean
  • out_of_scopeAnswerOutOfScope
  • attachmentsarray of Attachment
  • export_errorstring
  • toolsstring | null

    이 답변에 도구를 사용한 이유: request(명시적으로 요청함), compare, compute, action(질문에 따라), needs_calc(표에 대한 계산이 필요함), summary(컬렉션이나 문서의 개요), mcp(조직이 외부 MCP 서버를 연결함).

    허용 값: requestcomparecomputeactionneeds_calcsummarymcpnull

  • tool_callsarray of ToolCallInfo
  • calculationsarray of Calculation
  • pending_actionsarray of PendingAction
  • entitiesarray of AnswerEntity필수
  • followupsarray of Followup필수
  • conversation_idstring

    대화가 있는 POST /v1/chat 요청에만 있어요.

  • answer_idstring

    답변 객체의 ID.

사용처

포함하는 객체

ChatDone